- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ruleExecutionErrors/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ruleExecutionErrors/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ruleExecutionErrors/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ruleExecutionErrors/list.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ruleExecutionErrors/list.md.txt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ruleExecutionErrors/list.md.txt#body.ListRuleExecutionErrorsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ruleExecutionErrors/list.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ruleExecutionErrors/list.md.txt#body.aspect_1)
- [RuleExecutionError](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ruleExecutionErrors/list.md.txt#RuleExecutionError)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ruleExecutionErrors/list.md.txt#RuleExecutionError.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.ruleExecutionErrors.list

Lists rule execution errors. Errors are returned in descending order of `createTime`.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/ruleExecutionErrors`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest.md.txt#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list rule execution errors from. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of rule execution errors to return. The service may return fewer than this value. If unspecified, at most 1000 rule execution errors will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000. |
| `pageToken` | `string` A page token, received from a previous `ruleExecutionErrors.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ruleExecutionErrors.list` must match the call that provided the page token. |
| `filter` | `string` A filter that can be used to retrieve specific rule execution errors. Only the following filters are allowed: rule = "{Rule.name}" curated_rule = "{CuratedRule.name}" create_time >= "{timestamp}" create_time > "{timestamp}" create_time <= "{timestamp}" create_time < "{timestamp}" create_time = "{timestamp}" Multiple expressions can be combined using `AND` (for example, filtering by a `rule` and a `create_time` interval). At most one `rule` or `curated_rule` filter may be specified. The value for rule or curated_rule must be a valid rule resource name or a valid curated rule resource name specified in quotes. The value for `create_time` must be an RFC 3339 formatted timestamp string (for example, `"2024-01-01T00:00:00Z"` or `"2024-01-01T00:00:00-08:00"`) enclosed in double quotes. For 'rule', an optional 'revision_id' can be specified which can be used to fetch errors for a given revision of the rule. A '-' is also allowed to fetch errors across all revisions of the rule. If unspecified, only errors corresponding to the most recent revision of the rule will be returned. So these variations are all allowed: rule = "{Rule.name}" rule = "{Rule.name}@{Rule.revision_id}" rule = "{Rule.name}@-" Revision IDs are not supported for curated rules. |

### Request body

The request body must be empty.

### Response body

Response message for ruleExecutionErrors.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "ruleExecutionErrors": [ { object (`RuleExecutionError`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `ruleExecutionErrors[]` | ``object (`RuleExecutionError`)`` List of rule execution errors. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.ruleExecutionErrors.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## RuleExecutionError

The RuleExecutionError resource represents an error generated from running/deploying a rule.

| JSON representation |
|---|
| ``` { "name": string, "error": { object (`Status`) }, "timeRange": { object (`Interval`) }, "createTime": string, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "rule": string, "curatedRule": string // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `name` | `string` Output only. The resource name of the rule execution error. Format: projects/{project}/locations/{location}/instances/{instance}/ruleExecutionErrors/{ruleExecutionError} |
| `error` | ``object (`Status`)`` Output only. The error status corresponding with the rule execution error. |
| `timeRange` | ``object (`Interval`)`` Output only. The event time range that the rule execution error corresponds with. |
| `createTime` | ``string (`Timestamp` format)`` Output only. The time when the rule execution error was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| The resource name of the source that generated the rule execution error. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `rule` | `string` Output only. The resource name of the rule that generated the rule execution error. |
| `curatedRule` | `string` Output only. The resource name of the curated rule that generated the rule execution error. |
| End of mutually exclusive fields. ||